[arch-commits] Commit in swi-prolog/repos/community-x86_64 (PKGBUILD PKGBUILD)

Alexander Rødseth arodseth at archlinux.org
Thu Jun 13 09:19:38 UTC 2019


    Date: Thursday, June 13, 2019 @ 09:19:38
  Author: arodseth
Revision: 481198

archrelease: copy trunk to community-x86_64

Added:
  swi-prolog/repos/community-x86_64/PKGBUILD
    (from rev 481197, swi-prolog/trunk/PKGBUILD)
Deleted:
  swi-prolog/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |  103 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 52 insertions(+), 51 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-06-13 09:19:33 UTC (rev 481197)
+++ PKGBUILD	2019-06-13 09:19:38 UTC (rev 481198)
@@ -1,51 +0,0 @@
-# Maintainer: Alexander F. Rødseth <xyproto at archlinux.org>
-# Contributor: Jachym Barvinek <jachymb at gmail.com>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: John Proctor <jproctor at prium.net>
-# Contributor: Juergen Hoetzel <juergen at archlinux.org>
-
-pkgname=swi-prolog
-pkgver=8.0.2
-pkgrel=1
-pkgdesc='Prolog environment'
-arch=('x86_64')
-url='https://swi-prolog.org/'
-license=(GPL LGPL)
-depends=(gmp jdk-openjdk libarchive libedit libyaml openssl qt5-tools readline)
-makedepends=(cmake junit libjpeg libxft libxinerama libxpm ninja unixodbc)
-optdepends=('unixodbc:     for using the odbc4pl library'
-            'libjpeg:      for using the pl2xpce library'
-            'libxpm:       for using the pl2xpce library'
-            'libxinerama:  for using the pl2xpce library'
-            'libxft:       for using the pl2xpce library'
-            'java-runtime: for using Prolog from Java')
-# invalid HTTPS cert
-source=("http://www.swi-prolog.org/download/stable/src/swipl-${pkgver/_/-}.tar.gz")
-sha256sums=('abb81b55ac5f2c90997c0005b1f15b74ed046638b64e784840a139fe21d0a735')
-
-build() {
-  mkdir -p build
-  cd build
-  cmake ../swipl-$pkgver \
-    -DCMAKE_BUILD_TYPE=Release \
-    -DCMAKE_INSTALL_PREFIX=/usr \
-    -DCMAKE_C_FLAGS="$CFLAGS -fPIC -w" \
-    -DLIBEDIT_LIBRARIES=/usr/lib/libedit.so.0 \
-    -DLIBEDIT_INCLUDE_DIR=/usr/include \
-    -G Ninja
-  ../swipl-$pkgver/scripts/pgo-compile.sh
-  ninja
-}
-
-check() {
-  cd build
-  # the prolog_in_java test fails
-  ctest -j 8 || true
-}
-
-package() {
-  DESTDIR="$pkgdir" ninja -C build install
-}
-
-# getver: swi-prolog.org/download/stable
-# vim: ts=2 sw=2 et:

Copied: swi-prolog/repos/community-x86_64/PKGBUILD (from rev 481197, swi-prolog/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-06-13 09:19:38 UTC (rev 481198)
@@ -0,0 +1,52 @@
+# Maintainer: Alexander F. Rødseth <xyproto at archlinux.org>
+# Contributor: Jachym Barvinek <jachymb at gmail.com>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: John Proctor <jproctor at prium.net>
+# Contributor: Juergen Hoetzel <juergen at archlinux.org>
+
+pkgname=swi-prolog
+pkgver=8.0.2
+pkgrel=2
+pkgdesc='Prolog environment'
+arch=('x86_64')
+url='https://swi-prolog.org/'
+license=(GPL LGPL)
+depends=(libarchive libyaml qt5-base)
+makedepends=(cmake jdk-openjdk junit libjpeg libxft libxinerama libxpm ninja unixodbc)
+optdepends=('unixodbc:     for using the odbc4pl library'
+            'libjpeg:      for using the pl2xpce library'
+            'libxpm:       for using the pl2xpce library'
+            'libxinerama:  for using the pl2xpce library'
+            'libxft:       for using the pl2xpce library'
+            'jdk-openjdk:  for using Prolog from Java'
+            'java-runtime: for using Prolog from Java')
+# invalid HTTPS cert
+source=("http://www.swi-prolog.org/download/stable/src/swipl-${pkgver/_/-}.tar.gz")
+sha256sums=('abb81b55ac5f2c90997c0005b1f15b74ed046638b64e784840a139fe21d0a735')
+
+build() {
+  mkdir -p build
+  cd build
+  cmake ../swipl-$pkgver \
+    -DCMAKE_BUILD_TYPE=Release \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DCMAKE_C_FLAGS="$CFLAGS -fPIC -ffile-prefix-map=$PWD= -w" \
+    -DLIBEDIT_LIBRARIES=/usr/lib/libedit.so.0 \
+    -DLIBEDIT_INCLUDE_DIR=/usr/include \
+    -G Ninja
+  ../swipl-$pkgver/scripts/pgo-compile.sh
+  ninja
+}
+
+check() {
+  cd build
+  # the prolog_in_java test fails
+  ctest -j 8 || true
+}
+
+package() {
+  DESTDIR="$pkgdir" ninja -C build install
+}
+
+# getver: swi-prolog.org/download/stable
+# vim: ts=2 sw=2 et:


More information about the arch-commits mailing list